## allegro4.2 4.2.2

=== debian/changelog ===
allegro4.2 (2:4.2.2-3) unstable; urgency=low

  * QA upload:
  * Orphan package (Closes: #626049)
  * Build-depend on libjack-dev (Closes: #527403)	
  * Convert to source format 3
	
 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 06 Jun 2011 18:30:38 +0200

allegro4.2 (2:4.2.2-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Drop arts support (Closes: #622198)
  * Build-depend on libsvga1-dev instead of svgalibg1-dev
    (Closes: #483457)
  * Drop recommendation of obsolete package timidity-patches 
    (Closes: #409484)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 02 Jun 2011 22:40:41 +0200

allegro4.2 (2:4.2.2-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "alsa plugin doesn't work with many sound cards": apply patch from
    Peter De Wachter (debian/patches/070_alsa_signed.diff) (closes: #462810).

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Jun 2010 17:03:36 +0200

allegro4.2 (2:4.2.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  * debian/patches/06_fix_fnstsw.diff:
    + Fix FTBFS with binutils >= 1.9. Quoting the patch submitter:
      “FNSTSW is "Store FPU Status Word". This status word is a 16-bit
      value so the destination register should be %ax, not %eax.”
      Thanks to Peter De Wachter (Closes: #510500, #518732).

  * Set urgency to “medium”, testing is also affected.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 17 Jul 2009 20:36:38 +0200

allegro4.2 (2:4.2.2-2) unstable; urgency=low

  * debian/control:
    + Add ${shlibs:Depends} to the liballegro4.2-dev dependencies.
    + Set policy to 3.7.3.

  * debian/rules:
    + Ensure that packages built with liballegro 4.2.2 depend on liballegro
      >= 4.2.2 (Closes: #468081).

  * debian/create_allegro-examples.pl:
    + Fix a "read without variable" bashism (Closes: #465134).

  * debian/patches/005_no_unsharable.diff:
    + Remove extraneous libraries from allegro-config --libs output. Patch
      courtesy of Peter De Wachter (Closes: #462679).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 03 Mar 2008 11:28:56 +0100

allegro4.2 (2:4.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #434755, #402131).
    + This release no longer exports autoconf-specific macros such as
      PACKAGE_NAME in alunixac.h (Closes: #431417).

  * debian/control:
    + Replace ${Source-Version} with ${binary:Version}.
    + Do not build-depend on libasound-dev on Hurd (Closes: #407137).

  * debian/rules:
    + Do not ignore make veryclean errors.
    + Configure with --enable-svgalib=no rather than --enable-linux=no, so
      that alunixac.h defines ALLEGRO_LINUX again on !i386 platforms
      (Closes: #437688).

  * debian/allegro-examples.menu:
    + Use “Applications” instead of “Apps”.
  * debian/allegro-demo.menu:
    + Use “Games/Action” instead of “Games/Arcade”.

  * debian/patches/050_manpage_syntax.diff:
    + New patch. Use \(de instead of ° in docs/src/allegro._tx to avoid
      errors in manpages.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 30 Sep 2007 23:21:04 +0000

allegro4.2 (2:4.2.0-5) unstable; urgency=low

  * debian/control:
    + Exclude libasound2-dev from the build-dependencies on kfreebsd-amd64
      in addition to kfreebsd-i386 (Closes: #361454).
    + Set policy to 3.7.2.
  * debian/liballegro-doc.doc-base:
    + allegro.txt was renamed to readme.txt, reflect this change here.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 21 May 2006 18:13:05 +0200

allegro4.2 (2:4.2.0-4) unstable; urgency=low

  * debian/control:
    + Oops. Really fixed the missing libxcursor-dev dependency
      (Closes: #357028).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 30 Mar 2006 23:53:50 +0200

allegro4.2 (2:4.2.0-3) unstable; urgency=low

  * Moved development to Alioth.
  * debian/rules
    + Switched to quilt for patch handling.
  * debian/control:
    + Build-depend on quilt.

  * 005_no_strip_no_export_dynamic.diff: (new patch from old diff.gz) do not
    strip executables or link them with -rexport-dynamic.

  * 005_no_unsharable.diff: (new patch from old diff.gz) get rid of the
    alleg_unsharable static library.

  * 010_autoreconf.diff: (new patch from old diff.gz) re-run autoconf.

  * 020_asm_fixes.diff: (new patch from old diff.gz) various fixes for the
    assembly code.

  * 020_data_path.diff: (new patch from old diff.gz) hardcode data paths
    instead of relying on the executable location.

  * 020_debug.diff: (new patch from old diff.gz) added debug messages.

  * 020_non-executable-stack.diff: (new patch from old diff.gz) tell gcc
    that our assembly files do not have an executable stack.

  * 030_man_suffix.diff: (new patch from old diff.gz) set manpage prefixes
    to 3alleg instead of 3.

  * 040_allegro_cfg.diff: (new patch from old diff.gz) activate the XWIN
    driver by default.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 30 Mar 2006 11:19:20 +0200

allegro4.2 (2:4.2.0-2) unstable; urgency=low

  * debian/rules, debian/control:
    + kFreeBSD build fixes (Closes: #338926).
    + Build-depend on libxcursor-dev.
  * allegro-config:
    + Do not link against extra libraries when dynamically linking
      (Closes: #358598).
  * src/i386/asmdefs.inc:
    + Fixed assembly files so that the stack isn't marked executable.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 24 Mar 2006 20:58:13 +0100

allegro4.2 (2:4.2.0-1) unstable; urgency=low

  * New upstream release (Closes: #285958, #319716, #328841).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 17 Oct 2005 00:01:58 +0200

allegro4.1 (2:4.1.15-6) unstable; urgency=low

  * Acknowledge NMU, thanks to Graham Wilson (Closes: #285080, #317177,
    Closes: #318363, #320258, #320485, #322515).

  * debian/control:
    + Set policy to 3.6.2.1.
    + Build-depend on libxxf86dga-dev and libxxf86vm-dev.
    + Make the -dev package depend on libxxf86vm-dev, too.
    + Made allegro-demo depend on x-terminal-emulator.

